\chapter{Problem formulation}
This thesis sets a baseline in order to assess the performance of different hardware configurations of mobile robots which can be easily developed further and applied to various systems. The score of this benchmark must only depend on the hardware of the robot. All other variables (e.g. software and environment) have to be defined and fixed. \textit{Thus, using the same exact hardware at any location has to yield the same result given all fixed constants are the same.}

\vspace{5mm}
In order to compare new hardware or identify problematic components, nominal performance of a specific hardware configuration has to be assessed. To which performances of other configurations can then be compared to. Said performance is valued by scoring the important measurements for a specific hardware component and converted into a score (e.g. from 0 - 100) using a function to be defined.

\vspace{5mm}
The whole procedure will be described for the Duckietown platform, under the assumption that the Duckiebots are already past the initial setup, i.e. is already assembled according to the documentation \cite{dt_manual} as well as potentially flashed and calibrated. The performance of the Duckiebot can then be benchmarked according to the protocol defined in this thesis. If the SD Card is not flashed according to the protocol (e.g. custom software) it will lead to some limitations. Nevertheless, the performance can still be assessed.

\vspace{5mm}
This procedure should be used across the Duckietown community. Thus, the whole benchmark needs to be described in a way that is minimally invasive. This means that only minimal or even better no adjustments to an existing Duckiebot have to be made in order to run the benchmark. Additionally, the environment should have as little requirements as possible.
